Summary:         GNOME database frontend/GUI
Name:            gnome-db
Version:         @version@
Release:         1
Source:          %{name}-%{version}.tar.gz
Group:           System Environment/Libraries
License:         LGPL
BuildRoot:       %{_tmppath}/%{name}-%{version}-root
BuildRequires:   pkgconfig >= 0.8
Requires:        libgnomedb >= @version@
Requires:        libbonoboui
Requires:        libgda >= @version@
Requires:        gtk2 >= 1.3.1
Requires:        libgnomeui >= 1.106.0
Requires:        libglade2
BuildRequires:   libgnomedb-devel >= @version@
BuildRequires:   libbonoboui-devel
BuildRequires:   libgda-devel >= @version@
BuildRequires:   gtk2-devel >= 1.3.1
BuildRequires:   libgnomeui-devel >= 1.106
BuildRequires:   libglade2-devel


%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%find_lang gnomedb-2

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -f gnomedb-2.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%doc %{_datadir}/gnome/help/gnome-db
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/monikers/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/idl/*
%{_datadir}/share/gnome-db/glade/*


%changelog
* Mon Feb 25 2002 Chris Chabot <chabotc@reviewboard.com>
- Added Requirements
- Cleaned up formatting

* Thu Feb 21 2002 Chris Chabot <chabotc@reviewboard.com>
- Initial spec file
